//
// LocalLibrary.cpp
// Library C++ code
// ----------------------------------
// Developed with embedXcode+
// http://embedXcode.weebly.com
//
// Project 		e-716
//
// Created by 	Rei Vilo, Feb 09, 2017
// 				http://embeddedcomputing.weebly.com
//
// Copyright 	© Rei Vilo, 2010-2017
// Licence		CC = BY SA NC
//
// See 			LocalLibrary.cpp.h and ReadMe.txt for references
//

#include "LocalLibrary.h"

// Code
void blink(uint8_t pin, uint8_t times, uint16_t ms, bool level)
{
    for (uint8_t i = 0; i < times * 2; i++)
    {
        // Conditional breakpoint: i % 2
        // Watchpoint: i
        digitalWrite(pin, !(i % 2 & level)); // LED is ON
        delay(ms >> 1); // ms
    }
}
